var Auth = {
	visible : false,
	ime : '',
};

Auth.init = function() {
	$.support.cors = true;
	Auth.checkLogin();
}

Auth.login = function() {
	
	Auth.visible = true;
	
	$("#title").hide();
	$("#auth").show();
	$("#black").show();
	$(".window input").removeClass('plainText');
	$("#loginText").addClass('plainText');
	
	if($("#loginText").val() == ''){
		$("#loginText").val(Main.userLogin);
	}
	
	if($("#passText").val() == ''){
		$("#passText").val(Main.userPass);
	}
	
	if (Main.customKeyb) {
		if (!Keyboard.run) {
			Keyboard.callback = Auth.onEnter;
			Keyboard.cyr = true;
			Keyboard.show();
		}
	} else {
		Auth.Input();
	}
};

Auth.logout = function() {
	if(Main.hardware_char == 'E'){
		$.ajax({
			type: 'POST',
			url: Main.prefixURL + '/logout.aspx',
			beforeSend : function(){
				Main.showLoading();
				Auth.visible = true;
			},
			success: function(data) {
				//alert(data);
			},
			complete: function(xhr) {
				//alert(xhr.getAllResponseHeaders());
				Auth.checkLogin();
			}
		});
	} else {
		$.ajax({
			type: 'POST',
			url: 'http://wiget.pp.ua/files/fs_login.php',
			data: {host: Main.prefixURL, action: "logout"},
			beforeSend : function(){
				Main.showLoading();
				Auth.visible = true;
			},
			success: function(data) {
				//alert(data);
			},
			complete: function(xhr) {
				//alert(xhr.getAllResponseHeaders());
				Auth.checkLogin();
			}
		});
	}
};

Auth.checkLogin = function() {
	$.ajax({
		url: Main.prefixURL,
		async: true,
		complete: function(xhr) {
			var $sOut = $($.parseHTML(xhr.responseText));
			var userLogin = $sOut.find('.b-header__user-profile-title').text();
			userLogin = userLogin.replace(/\s+/g, ' '); // удаляем пробелы
			Main.isLogin = (userLogin != '') ? true : false;
			//alert("===================== "+userLogin);
			$('#login').text(userLogin);
			Main.hideLoading();
			Info.load();
			
			if(Auth.visible){
				if(Main.isLogin){
					Display.statusLine("Вы авторизированы!");
				} else {
					Display.statusLine("Вы не авторизированы!");
				}
				
				Auth.visible = false;
			}
		}
	});
	
	return Main.isLogin;
};

Auth.Input = function() {
	var id = $(".plainText").attr('id');
	Auth.ime = new IMEShell(id, Auth.imeReady, 'ru');
};

Auth.imeReady = function(imeObject) {
	Auth.ime.setKeypadPos(330, 100); // положение 3x4 клавиатуры
	if(Main.arr_hardware_char.indexOf(Main.hardware_char)<=-1){ //проверка на версию клавиатуры
		Auth.ime.setQWERTYPos(210, 100); // положение QWERTY клавиатуры
		Auth.ime.setKeypadChangeFunc('12key', Auth.change12KeyMode);// событие при переключении на 3x4 клавиатуру
		Auth.ime.setKeypadChangeFunc('qwerty', Auth.changeQwertyMode);// событие при переключении на qwerty клавиатуру
		Auth.ime.setKeySetFunc(Main.defaultKeybMode); // устанавливаем режим отображения стандартной клавиатуры (12key или qwerty)
	}
	$(".plainText").focus(); // помещаем фокус на ввод текста
	Auth.ime.setEnterFunc(Auth.onEnter); // событие на кнопку интер
	//Auth.ime.setOnCompleteFunc(Auth.SearchOk); // отлавливаем текст
	Auth.ime.setKeyFunc(tvKey.KEY_RETURN, Auth.textobjKeyFunc);// событие на кнопку RETURN
	Auth.ime.setKeyFunc(tvKey.KEY_CHLIST, Auth.changeKeyb);// событие на кнопку KEY_CHLIST
	Auth.ime.setKeyFunc(tvKey.KEY_CH_UP, Auth.changeKeyb);// событие на кнопку KEY_CH_UP
	Auth.ime.setKeyFunc(tvKey.KEY_CH_DOWN, Auth.changeKeyb);// событие на кнопку KEY_CH_DOWN
	alert ('Keybord2');
};

Auth.onEnter = function(array) {	
	if($(".plainText").attr("id") == 'loginText'){
		$(".window input").removeClass('plainText');
		$("#passText").addClass('plainText');
		Keyboard.str = $(".plainText").val();
		if (Main.keybMode != true || !Main.customKeyb) {
			Auth.Input();
		}
	} else {
		Main.userLogin = $("#loginText").val();
		Main.userPass = $("#passText").val();
		
		Main.saveSettings();

		$("#anchor").focus(); // перемещаем фокус на элемент "anchor"
		$("#title").show();
		$("#auth").hide();
		$("#black").hide();

		if (Main.keybMode == true && Main.customKeyb) {
			Keyboard.hide();
		}
		
		if(Main.hardware_char == 'E'){
			$.ajax({
				type: 'POST',
				url: Main.prefixURL + '/login.aspx',
				data: {login: Main.userLogin, passwd: Main.userPass, remember: "on"},
				crossDomain: true, 
				async: true,
				beforeSend : function(){
					Main.showLoading();
					Auth.visible = true;
				},
				success: function(data) {
					//alert(data);
				},
				complete: function(xhr) {
					//alert(xhr.getAllResponseHeaders());
					Auth.checkLogin();
				}
			});
		} else {
			$.ajax({
				type: 'POST',
				url: 'http://wiget.pp.ua/files/fs_login.php',
				crossDomain: true,
				async: true,
				data: {host: Main.prefixURL, login: Main.userLogin, passwd: Main.userPass, action: "login"},
				beforeSend : function(){
					Main.showLoading();
					Auth.visible = true;
				},
				success: function(data) {
					//alert(data);
				},
				complete: function(xhr) {
					//alert(xhr.getAllResponseHeaders());
					Auth.checkLogin();
				}
			});
		}
	}
};

// возврат при нажатии кнопки RETURN
Auth.textobjKeyFunc = function(keyCode) {
	
	$("#anchor").focus(); // перемещаем фокус на элемент "anchor"
	$("#title").show();
	$("#auth").hide();
	$("#black").hide();
	
	if (Main.keybMode == true && Main.customKeyb) {
		Keyboard.hide();
	}
	
	Auth.visible = false;
};

// смена клавиатуры при нажатии на кнопку KEY_CHLIST
Auth.changeKeyb = function(keyCode) 
{
	Auth.textobjKeyFunc();
	
	Auth.visible = true;
	
	$("#title").hide();
	$("#auth").show();
	$("#black").show();
	
	Main.customKeyb = true;
	Main.saveSettings();
	Keyboard.init(Auth.onEnter);
	Keyboard.show();
};

Auth.change12KeyMode = function() {
	alert ("=====================12KeyMode===============");
	Main.defaultKeybMode = '12Key';
	Main.saveSettings();
};

Auth.changeQwertyMode = function() {
	alert ("=====================QwertyMode===============");
	Main.defaultKeybMode = 'qwerty';
	Main.saveSettings();
};


